﻿local nf_spells = {
---------------------DK-----------------------   
   59052, 	-- Gefrierender Nebel
   51124, 	-- Tötungsmaschine
-------------PRIEST-----------------------   
   63734, 	-- Glücksfall
   33151, 	-- Woge des Lichts
   60062, 	-- Essenz des Lebens
--------------PALLYS----------------------   
   53569, 	-- Lichtenergie
   53486, 	-- Die Kunst des Krieges
   31833, 	-- Anmut des Lichts
---------------SHAMANE------------------------   
   51528, 	-- Waffe des Maelstroms
   16246, 	-- Freizaubern
   53390, 	-- Flutwellen
--------------Teh PEW-PEWs------------   
   48516, 	-- Finsternis
   16864, 	-- Omen der Klarsicht
-------------HUNTER-------------------   
   56342, 	-- Sichern und Laden
------------WATERBOYS-----------------   
   44404, 	-- Missle Barrage
   44543, 	-- Eisige Finger
   57761, 	-- Hirnfrost
   11103, 	-- Einschlag
   44442, 	-- Feuerteufel
   44445, 	-- Kampfeshitze
-------------WARRIOR-------------------   
   46916, 	-- Zerschmettern
   29723, 	-- Plötzlicher Tod
-------------WARLOCK-------------------   
   17941, 	-- Schattentrance
   34935, 	-- Heimzahlen
   47195, 	-- Ausrottung
   47258, 	-- Pyrolyse
   63156, 	-- Dezimierung
   47245, 	-- Geschmolzener Kern
   
}

function NF_SlashCommand(msg)
   NotifierOptions:Hide();
   if ( msg == "help" or msg == "" ) then
   PlaySoundFile("Sound\\Creature\\Moroes\\MoroesSpecial02.wav");
   NotifierOptions:Show();
   else end
end

function NF_OnLoad()
   this:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
   this:RegisterEvent("VARIABLES_LOADED");

   SLASH_NF1 = "/notifier";
   SLASH_NF2 = "/nf"

   SlashCmdList["NF"] = NF_SlashCommand;
   
   local t = {}
   for k,v in pairs(nf_spells) do t[v] = GetSpellInfo(v) end
   nf_spells = t
   
end

function NF_OnEvent(self, event, ...)
   if( event == "VARIABLES_LOADED" ) then
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_WELCOME);
      if (not NF) then
         NF = {};
      end
      if (not NF.on) then
         NF.on = 1;   
      end   
      if (not NF.messageon) then
         NF.messageon = 1;
      end      
      if (not NF.soundon) then
         NF.soundon = 1;
      end
   end
   
   if (not NF.on or NF.on == 0) then
      return;
   end

   if( event == "COMBAT_LOG_EVENT_UNFILTERED" ) then
      local _, type, _, sourceName, _, _, _, _ = select(1, ...);
      local playerName,_ = UnitName("player");
      if( playerName ~= sourceName ) then
         return;
      end
      NF_Parse(event, type, ...);   
   end
end

function NF_Parse(event, type, ...)

   if (not arg1) then
      return;
   end

   if (type == "SPELL_AURA_APPLIED" ) then
      local spellId,spellName = select(9, ...)
--      DEFAULT_CHAT_FRAME:AddMessage( "nf_debug: "..spellId.." | "..spellName.." => "..(nf_spells[spellId] or "nil") );
      if (nf_spells[spellId] ~= nil) then
         NF_Alert(spellName);
      end
   end
      
end

function NF_Alert(spellName)
   if ( NF.on == 1 ) then
      if (NF.soundon == 1) then
         PlaySoundFile("Sound\\Doodad\\BellTollHorde.wav");
      end
      if (NF.messageon == 1) then
         NotifierMessageFrame:AddMessage(spellName, 1, 1, 1, 1, 1);
      end
   end   
end

function NF_OnOff()
   if ( NF.on == 0 ) then
      NF.on = 1;
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_ON);
   else
      NF.on = 0;
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_OFF);
   end
end

function NF_SoundOnOff()
   if ( NF.soundon == 0 ) then
      NF.soundon = 1;
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_ON);
   else
      NF.soundon = 0;
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_OFF);
   end
end

function NF_MessageOnOff()
   if ( NF.messageon == 0 ) then
      NF.messageon = 1;
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_ON);
   else
      NF.messageon = 0;
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_OFF);
   end
end

function NF_Status()
   if ( NF.on == 1 ) then
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_ON);
   else
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_NF_OFF);
   end
   if ( NF.messageon == 1 ) then
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_ON);
   else
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_MESSAGE_OFF);
   end
   if ( NF.soundon == 1 ) then
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_ON);
   else
      DEFAULT_CHAT_FRAME:AddMessage(NF_TEXT_SOUND_OFF);
   end
end